MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::FileMetadata Class Reference

container for File Header metadata More...

`#include <FileMetadata.h>`

## Public Member Functions
| FileMetadata ()
| FileMetadata (const FileMetadata &)
| ~FileMetadata ()
FileMetadata & | operator= (const FileMetadata &)
LT_STATUS | setOSTAID (const char *)
| sets the OSAID field More...
const char * | getOSTAID () const
| gets the OSAID field More...
LT_STATUS | setFDT (const char *)
| sets the FDT field More...
const char * | getFDT () const
| gets the FDT field More...
LT_STATUS | setFTITLE (const char *)
| sets the FTITLE field More...
const char * | getFTITLE () const
| gets the FTITLE field More...
LT_STATUS | setONAME (const char *)
| sets the ONAME field More...
const char * | getONAME () const
| gets the ONAME field More...
LT_STATUS | setOPHONE (const char *)
| sets the famous OPHONE field More...
const char * | getOPHONE () const
| gets the famous OPHONE field More...

## Detailed Description

This class is a container for all the file-level metadata for an NITF file. It is used with the various NITF image manager, reader, and writer classes.

For details on the length, formatting, etc, of each field, consult the NITF specification.

Usage Notes:

- all "set" calls will make local copies of their strings
- caller is responsible for blank-padding of strings
- caller is repsonsible for checking proper formatting
- all strings are initialized to reasonable defaults (usually just blanks)

Definition at line 38 of file FileMetadata.h.

## Constructor & Destructor Documentation

Nitf::FileMetadata::FileMetadata | ( | ) |  |

Nitf::FileMetadata::FileMetadata | ( | const FileMetadata & | ) |  |

Nitf::FileMetadata::~FileMetadata | ( | ) |  |

## Member Function Documentation

const char* Nitf::FileMetadata::getFDT | ( | ) |  | const

const char* Nitf::FileMetadata::getFTITLE | ( | ) |  | const

const char* Nitf::FileMetadata::getONAME | ( | ) |  | const

const char* Nitf::FileMetadata::getOPHONE | ( | ) |  | const

const char* Nitf::FileMetadata::getOSTAID | ( | ) |  | const

FileMetadata& Nitf::FileMetadata::operator= | ( | const FileMetadata & | ) |  |

LT_STATUS Nitf::FileMetadata::setFDT | ( | const char * | ) |  |

LT_STATUS Nitf::FileMetadata::setFTITLE | ( | const char * | ) |  |

LT_STATUS Nitf::FileMetadata::setONAME | ( | const char * | ) |  |

LT_STATUS Nitf::FileMetadata::setOPHONE | ( | const char * | ) |  |

LT_STATUS Nitf::FileMetadata::setOSTAID | ( | const char * | ) |  |

The documentation for this class was generated from the following file:

- FileMetadata.h

LizardTech